Summary: Utilities for managing the XFS filesystem.
Name: xfsprogs
Version: 2.7.11
Release: 1
Distribution: Linux
Packager: Silicon Graphics, Inc. <http://www.sgi.com/>
BuildRoot: /tmp/21610 
Provides: xfs-cmds
Obsoletes: xfs-cmds
Prereq: /sbin/ldconfig
Conflicts: xfsdump < 2.0.0
Source: xfsprogs-2.7.11.src.tar.gz
License: GPL
Vendor: Silicon Graphics, Inc.
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary: XFS filesystem-specific static libraries and headers.
Group: Development/Libraries
Requires: xfsprogs >= 2.0.0
Conflicts: xfsprogs < 2.0.0

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
/usr/bin/gmake configure
fi

%build
/usr/bin/gmake

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/gmake install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/gmake -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/gmake install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/gmake -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files devel -f build/rpm/rpmfiles-dev
